/*
 ==============================================================================================================================================
 Author      : CHEONG SE HANG (dit.dhc@lostcity-studio.com)
 Description : Extension to standard library.
 ==============================================================================================================================================
 */
#include "Log.h"
#include "Stdlib.h"
#include <stdio.h>
/*---------------------------------------------------------------------------------------------------------------------------------------------
 *
 *                                                              Private Variables
 *
 *-------------------------------------------------------------------------------------------------------------------------------------------*/
#ifdef LOGGING_ENABLE
static char log[ 128 ];                 /* Buffer for logging. */
#endif




/*---------------------------------------------------------------------------------------------------------------------------------------------
 *
 *                                                              Public Functions
 *
 *-------------------------------------------------------------------------------------------------------------------------------------------*/
void* Malloc ( size_t size, const char* filename, int line ) {
    void* ptr = malloc( size );
#ifdef LOGGING_ENABLE
    if ( ptr == NULL ) {
        sprintf( log, "%s(%d) -> malloc() error", filename, line );
        Log( log );
    }
#endif
    return ptr;
}
